package com.ruoyi.change.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资产单据对象 tb_asset_order
 * 
 * @author 原动力
 * @date 2023-05-15
 */
public class TbAssetOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 单据编号 */
    @Excel(name = "单据编号")
    private String orderNumber;

    /** 资产总原值（元） */
    @Excel(name = "资产总原值", readConverterExp = "元=")
    private String assetTotalOriginalValue;

    /** 资产总净值（元） */
    @Excel(name = "资产总净值", readConverterExp = "元=")
    private String assetTotalNetValue;

    /** 申请日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applicationDate;

    /** 申请部门 */
    @Excel(name = "申请部门")
    private String applicationDepartment;

    /** 原因说明 */
    @Excel(name = "原因说明")
    private String reason;

    /** 制单人 */
    @Excel(name = "制单人")
    private String preparedBy;

    /** 制单部门 */
    @Excel(name = "制单部门")
    private String preparedDepartment;

    /** 所属公司 */
    @Excel(name = "所属公司")
    private String corporation;

    /** 记录状态 */
    @Excel(name = "记录状态")
    private Long recordStatus;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setOrderNumber(String orderNumber) 
    {
        this.orderNumber = orderNumber;
    }

    public String getOrderNumber() 
    {
        return orderNumber;
    }
    public void setAssetTotalOriginalValue(String assetTotalOriginalValue) 
    {
        this.assetTotalOriginalValue = assetTotalOriginalValue;
    }

    public String getAssetTotalOriginalValue() 
    {
        return assetTotalOriginalValue;
    }
    public void setAssetTotalNetValue(String assetTotalNetValue) 
    {
        this.assetTotalNetValue = assetTotalNetValue;
    }

    public String getAssetTotalNetValue() 
    {
        return assetTotalNetValue;
    }
    public void setApplicationDate(Date applicationDate) 
    {
        this.applicationDate = applicationDate;
    }

    public Date getApplicationDate() 
    {
        return applicationDate;
    }
    public void setApplicationDepartment(String applicationDepartment) 
    {
        this.applicationDepartment = applicationDepartment;
    }

    public String getApplicationDepartment() 
    {
        return applicationDepartment;
    }
    public void setReason(String reason) 
    {
        this.reason = reason;
    }

    public String getReason() 
    {
        return reason;
    }
    public void setPreparedBy(String preparedBy) 
    {
        this.preparedBy = preparedBy;
    }

    public String getPreparedBy() 
    {
        return preparedBy;
    }
    public void setPreparedDepartment(String preparedDepartment) 
    {
        this.preparedDepartment = preparedDepartment;
    }

    public String getPreparedDepartment() 
    {
        return preparedDepartment;
    }
    public void setCorporation(String corporation) 
    {
        this.corporation = corporation;
    }

    public String getCorporation() 
    {
        return corporation;
    }
    public void setRecordStatus(Long recordStatus) 
    {
        this.recordStatus = recordStatus;
    }

    public Long getRecordStatus() 
    {
        return recordStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orderNumber", getOrderNumber())
            .append("assetTotalOriginalValue", getAssetTotalOriginalValue())
            .append("assetTotalNetValue", getAssetTotalNetValue())
            .append("applicationDate", getApplicationDate())
            .append("applicationDepartment", getApplicationDepartment())
            .append("reason", getReason())
            .append("preparedBy", getPreparedBy())
            .append("preparedDepartment", getPreparedDepartment())
            .append("corporation", getCorporation())
            .append("recordStatus", getRecordStatus())
            .toString();
    }
}
